2008-11-01  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPathIterator.cs: Add proper null check that match the same
	behavior that MS has.
	* LinearGradientBrush.cs: Add comments to setter that dont do any null
	check in order to be compatible with MS. Fix InterpolationColors to 
	throw a ArgumentNullException.
	* PathGradientBrush.cs: Add comments to setter that dont do any null
	check in order to be compatible with MS.
	[Found using Gendarme CheckParametersNullityInVisibleMethodsRule]

2007-11-13  Atsushi Enomoto  <atsushi@ximian.com>

	* GraphicsPath.cs : AddBeziers(Point[]) arg is "params" in 2.0.

2007-10-30  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Remove some TODO specific to libgdiplus.

2007-05-21  Adar Wesley <adarw@mainsoft.com>

	* Matrix.jvm.cs: changed MemberwiseClone to clone.

2007-05-09 Igor Zelmanovich <igorz@mainsoft.com>

	* AdjustableArrowCap.jvm.cs:
	* CustomLineCap.jvm.cs:
	* GraphicsPath.jvm.cs:
	added MonoNotSupported attributes.			

2006-11-22  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Better MonoTODO description.
	* LinearGradientBrush.cs: Better MonoTODO description.

2006-08-10  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Fix unit tests wrt libgdiplus return value change.
	* PathGradientBrush.cs: Fix unit tests when running under Windows.

2006-08-07  Andrew Skiba <andrews@mainsof.com>

	* Matrix.jvm.cs: TARGET_JVM fix

2006-08-04  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Fix unit tests wrt libgdiplus return value change.
	* PathGradientBrush.cs: Fix unit tests wrt libgdiplus return value 
	changes.

2006-06-08  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Update/remove some MonoTODO on IsVisible methods.

2006-06-07  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: IsOutlineVisible throws ArgumentNullException
	if a null pen is supplied. Update/remove some MonoTODO on 
	IsOutlineVisible methods.

2006-06-06  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Fix IsOutlineVisible wrt API signature change.

2006-05-24  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Remove MonoTODO on GetBounds. For 1.x throw an
	OutOfMemoryException if Widen is called on an empty path.

2006-05-21  Sebastien Pouliot  <sebastien@ximian.com>

	* CombineMode.cs: Removed [Serializable] from 2.0 profile.
	* CompostingMode.cs: Removed [Serializable] from 2.0 profile.
	* CompostingQuality.cs: Removed [Serializable] from 2.0 profile.
	* CoordinateSpace.cs: Removed [Serializable] from 2.0 profile.
	* DashCap.cs: Removed [Serializable] from 2.0 profile.
	* DashStyle.cs: Removed [Serializable] from 2.0 profile.
	* FillMode.cs: Removed [Serializable] from 2.0 profile.
	* FlushIntention.cs: Removed [Serializable] from 2.0 profile.
	* HatchStyle.cs: Removed [Serializable] from 2.0 profile.
	* InterpolationMode.cs: Removed [Serializable] from 2.0 profile.
	* LinearGradientMode.cs: Removed [Serializable] from 2.0 profile.
	* LineCap.cs: Removed [Serializable] from 2.0 profile.
	* LineJoin.cs: Removed [Serializable] from 2.0 profile.
	* MatrixOrder.cs: Removed [Serializable] from 2.0 profile.
	* PathPointType.cs: Removed [Serializable] from 2.0 profile.
	* PenAlignment.cs: Removed [Serializable] from 2.0 profile.
	* PenType.cs: Removed [Serializable] from 2.0 profile.
	* PixelOffsetMode.cs: Removed [Serializable] from 2.0 profile.
	* QualityMode.cs: Removed [Serializable] from 2.0 profile.
	* SmoothingMode.cs: Removed [Serializable] from 2.0 profile.
	* WarpMode.cs: Removed [Serializable] from 2.0 profile.
	* WrapMode.cs: Removed [Serializable] from 2.0 profile.

2006-05-12  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Fix misnamed GdipAdd*Path*String[I] API (#78383)

2006-05-10  Sebastien Pouliot  <sebastien@ximian.com>

	* PathGradientBrush.cs: Added MonoTODO to warn about the lack of 
	support, for most cases, when using libgdiplus.

2006-05-09  Sebastien Pouliot  <sebastien@ximian.com>

	* PathGradientBrush.cs: Added missing checks before calling libgdiplus
	(or GDI+).

2006-05-02  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsContainer.cs: Change the state from int to uint to match the
	Save/Restore methods (and code). Removed unrequired stuff.

2006-05-01  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Removed MonoTODO on AddCurve methods (it's fixed 
	in libgdiplus).

2006-04-29  Jordi Mas i Hernandez <jordimash@gmail.com>

	* GraphicsPath.cs: Fixes use of unasssigned variables

2006-04-28  Sebastien Pouliot  <sebastien@ximian.com> 

	* ColorBlend.cs: Removed TODO. ColorBlend may not be complete where
	used (e.g. gradients) but the class is complete.
	* CustomLineCap.cs: corcompare fixes. Clone and Dispose() methods are
	not virtual.

2006-04-28  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Added MonoTODO on some AddCurve methods because 
	libgdiplus doesn't use the numberOfSegments argument.

2006-04-27  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Re-write two versions of AddLines method to use 
	GdipAddPathLine2[I] functions. This fix a unit test where we can add
	a single point with those methods. It also prevent multiple managed to
	unmanaged transitions.

2006-04-27  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Fix exception handle in AddString methods to match
	MS behahiour. Updated MonoTODO to reflect current status.

2006-04-19  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Fix null pen handling in Widen.
	* LinearGradientBrush.cs: Avoid temporary Rectangle local and directly
	get use the instance RectangleF.

2006-04-10  Sebastien Pouliot  <sebastien@ximian.com>

	* Matrix.cs: Fixed ctors to check for the right number (3) of points.
	Added missing 'ref' to rectangles (required with fixed wrapper code).

2006-03-31  Sebastien Pouliot  <sebastien@ximian.com>

	* LinearGradientBrush.cs: Added a [MonoTODO] to the GammaCorrection
	property as this is not used anywhere inside libgdiplus.

2006-03-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* GraphicsPath.cs: Call [libgdiplus|GDI+] for AddString (even if it 
	is not yet implemented in libgdiplus).
	* LinearGradientBrush.cs: Update the rectangle when using the internal
	ctor. Fix a few missing validations.

2006-03-17  Sebastien Pouliot  <sebastien@ximian.com> 

	* Matrix.cs: Add missing checks to methods (and fix unit tests).

2006-02-05 Konstantin Triger <kostat@mainsoft.com>

	* ExtendedGeneralPath.jvm.cs: use correct properties.

2006-01-27  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* GraphicsPath.cs: Removed TODO on Flatten methods (now supported in
	libgdiplus). Added a private constant for FlatnessDefault (0.25). 
	Added MonoTODO on IsVisible* methods (not supported in libgdiplus).
	* Matrix.cs: Ensure we call Marshal.FreeHGlobal even if CheckStatus
	throws an exception.

2006-01-16  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Updated TODO description on GetBounds as it's now
	only missing support for Pens (when used with libgidplus).

2006-01-13  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Added more parameter checks to methods (to match
	unit tests). Added descriptions to TODOs.
	* PathData.cs: Don't clone the arrays! Removed unused internal 
	properties.

2006-01-12  Sebastien Pouliot  <sebastien@ximian.com>

	* GraphicsPath.cs: Throw an ArgumentException if either PathPoints or
	PathTypes properties are empty (0 length). Note that PathData property
	still works in that case.
	* PathData.cs: Don't clone empty arrays (results in NRE).

2005-11-13 Konstantin Triger <kostat@mainsoft.com>

        * GraphicsPath.jvm.cs: AddString support.

2005-11-13 Konstantin Triger <kostat@mainsoft.com>

        * ExtendedGeneralPath.jvm.cs: restore quadTo as curveTo affects quality

2005-11-13 Konstantin Triger <kostat@mainsoft.com>

        * PathData.cs: fixing access modifiers.

2005-10-31 Konstantin Triger <kostat@mainsoft.com>

	* ExtendedGeneralPath.jvm.cs: forward quadTo to curveTo

2005-10-23 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GraphicsState.jvm.cs: fixed ResetState, RestoreBaseClip
	
2005-10-19 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GraphicsPath.jvm.cs: fixed FillMode, ConvertArcAngle, AddPath,
	CloseFigure
	
2005-10-19 Vladimir Krasnov <vladimirk@mainsoft.com>

	* LinearGradientBrush.jvm.cs: fixed clone(), SetBlendTriangularShape, 
	LinearColors, InterpolationColors, GetMedianeEnclosingRect, Init, NativeObject
	* PathGradientBrush.jvm.cs: fixed clone()

2005-10-04 Peter Dennis Bartok <pbartok@novell.com>

	* Matrix.cs: Call GC.SuppressFinalize with 'this' instead of 'true'

2005-09-26 Vladimir Krasnov <vladimirk@mainsoft.com>

	* PathGradientBrush.jvm.cs: implemetated transform, WrapMode, ctors
	* HatchBrush.jvm.cs: fallback to solid brush

2005-09-14 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.jvm.cs: fix drawing arcs for angles >= 360

2005-09-14 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsState.jvm.cs: container

2005-09-11 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsState.jvm.cs: fixing visible window for containers

2005-09-07 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.jvm.cs: correct angle to compute the quarter

2005-09-07 Konstantin Triger <kostat@mainsoft.com>

	* Matrix.jvm.cs: Fix copy order in CopyTo

2005-09-07 Boris Kirzner <borisk@mainsoft.com>

	* ExtendedGeneralPath.jvm.cs: Cache PathData and GeneralPath.
	* PathData.cs: always return cloned points and types. Use internals
	without clone for internal processing.

2005-09-07 Vladimir Krasnov <vladimirk@mainsoft.com>

	* LinearGradientBrush.jvm.cs: FIxed transform methods
	* Matrix.jvm.cs: Added CopyTo(), fixed Invert()

2005-09-06 Boris Kirzner <borisk@mainsoft.com>

	* ExtendedGeneralPath.jvm.cs: Imported functionality from GraphicsPAth. 
	Added copyright.
	* GeneralPathIterator.jvm.cs: Added copyright.
	* GraphicsPath.jvm.cs: Implemented methods. Some functionality moved 
	to ExtendedGeneralPath. Added copyright.
	* GraphicsPathIterator.jvm.cs: Implemented.

2005-09-06 Konstantin Triger <kostat@mainsoft.com>

	* Matrix.jvm.cs: fix scale, added static IdentityMatrix
	* GraphicsState.jvm.cs, GraphicsContainer.jvm.cs: fix
		containers implementation

2005-08-30 Boris Kirzner <borisk@mainsoft.com>

	* Matrix.jvm.cs: Bug fix

2005-08-30 Vladimir Krasnov <vladimirk@mainsoft.com>

	* LinearGradientBrush.jvm.cs: Refactoring, bug fix
	* GraphicsState.jvm.cs: fixed SaveState, ResetState

2005-08-30 Konstantin Triger <kostat@mainsoft.com>

        * GraphicsPath.jvm.cs: use correct object in Widen

2005-08-28 Vladimir Krasnov <vladimirk@mainsoft.com>

	* Added: GraphicsContainer.jvm.cs
	* Added: GraphicsState.jvm.cs

2005-08-14 Vladimir Krasnov <vladimirk@mainsoft.com>

	* Matrix.jvm.cs: Refactoring
	
2005-08-10 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.jvm.cs: Implemented DrawClosedCurve.
	* ExtendedGeneralPath.jvm.cs: cleanup.

2005-08-10 Boris Kirzner <borisk@mainsoft.com>
	* ExtendedGeneralPath.jvm.cs: Added new class. Extends java GeneralPath
	functionality.
	* GeneralPathIterator.jvm.cs: Added new class. Implements java PathIterator.
	* GraphicsPath.jvm.cs:
		- Redefined JPI enums so their values are defined in the single place.
		- NativeObject is now of type ExtendedGeneralPath.
		- Implemented missing constructors.
		- Implemented PathData and PointCount.
		- Decision about connecting to previous figure is now handled in 
		ExtendedGeneralPath.
		- Reimplemented AddRectangle to obtain right number of points.
		- Reimplemented GetLastPoint using ExtendedGeneralPath.
		- CloseAllFigures must close path at the end.
		- Fixed StartFigure.		

2005-08-10 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.jvm.cs: implemented GraphicsPath.Widen

2005-08-10 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.jvm.cs: fix default curve tension.

2005-08-0 9Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.jvm.cs, DashStyle.cs: refactoring

2005-08-08 Konstantin Triger <kostat@mainsoft.com>

        * GraphicsPath.cs: Implemented AddBeziers

2005-08-08 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GraphicsPath.jvm.cs: Fixed AddPolygon methods

2005-08-08 Konstantin Triger <kostat@mainsoft.com>

        * GraphicsPath.cs: Fix AddLines

2005-08-08 Konstantin Triger <kostat@mainsoft.com>

        * GraphicsPath.cs: Fix AddArc/AddPie

2005-08-08 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GraphicsPath.jvm.cs: Fixed AddLines methods
	
2005-08-07 Konstantin Triger <kostat@mainsoft.com>

	* GraphicsPath.cs: Fix AddCurve implementation and cosmetic changes.

2005-08-07 Andrew Skiba <andrews@mainsoft.com>

	* GraphicsPath.cs: BasicShape as a base class and cosmetic changes

2005-08-03 Andrew Skiba <andrews@mainsoft.com>

	* DashStyle.cs: TARGET_JVM - add internal dash attribs arrays
	* AdjustableArrowCap.jvm.cs, CustomLineCap.jvm.cs, GraphicsPath.jvm.cs,
	GraphicsPathIterator.jvm.cs, HatchBrush.jvm.cs, LinearGradientBrush.jvm.cs,
	Matrix.jvm.cs, PathGradientBrush.jvm.cs: added TARGET_JVM implementation of
	these classes.

2005-03-15 Jordi Mas i Hernandez <jordi@ximian.com>

	* GraphicsState.cs: should only contain the nativeState cookie
	* Matrix.cs: Fixes Dispose method to allow to be called multiple times
	
2005-01-02  Geoff Norton  <gnorton@customerdna.com>

	* GraphicsPath.cs: Fixed the AddPoints methods.  Fixes bug #70916

2004-07-21  Ravindra  <rkumar@novell.com>

	* GraphicsPath.cs: Implemented Dispose method and added error
	checking in constructors.
	* GraphicsPathIterator.cs: Fixed CopyData and Enumerate methods.

2004-07-16  Ravindra  <rkumar@novell.com>

	* GraphicsPathIterator.cs: New implementation using GDI+ APIs.
	This change makes this class fit into the rest of the design well
	and also it takes care of a scenario when path gets modified. Old
	implementation was not taking care of this.

2004-07-15  Ravindra  <rkumar@novell.com>

	* GraphicsPath.cs: Implemented PathData property and some formatting.

2004-07-15  Ravindra  <rkumar@novell.com>

	* CombineMode.cs, CompositingMode.cs, CompositingQuality.cs,
	GraphicsPath.cs, CoordinateSpace.cs, DashCap.cs, DashStyle.cs,
	FillMode.cs, FlushIntention.cs, GraphicsPath.cs, GraphicsState.cs,
	InterpolationMode.cs, LineCap.cs, LineJoin.cs, LinearGradientMode.cs,
	Matrix.cs, MatrixOrder.cs, PathPointType.cs, PenAlignment.cs,
	PenType.cs, PixelOffsetMode.cs, QualityMode.cs, SmoothingMode.cs,
	WarpMode.cs, WrapMode.cs: Changed format dos2unix.

	* GraphicsContainer.cs, GraphicsPathIterator.cs, PathData.cs,
	RegionData.cs:  Changed format dos2unix and changed instance variables'
	access default/internal to private.

2004-07-13  Ravindra  <rkumar@novell.com>

	* PathGradientBrush.cs: Removed all the private variables.
	Now, we get/set everything from libgdiplus. This is cleaner.

2004-05-18  Ravindra  <rkumar@novell.com>

	* LinearGradientBrush.cs: Added checks for the values of
	focus and scale parameters in SetBlendTriangularShape and
	SetSigmaBellShape methods.
	* PathGradientBrush.cs: Same as above.

2004-06-13  Gert Driesen <drieseng@users.sourceforge.net>

	* DashCap.cs: fixed mismatches in enum field values
	* HatchStyle.cs: fixes mismatches in enum field values

2004-05-18  Ravindra  <rkumar@novell.com>

	* CustomLineCap.cs: Added null checks and corrected Dispose method.

2004-05-17  Duncan Mak  <duncan@ximian.com>

	* GraphicsPathIterator.cs: Untabify and fixed coding style.
	(GraphicsPathIterator): Store the path count, path points and path
	type arrays instead of calling unmanaged functions in GDI+ each
	time to get to get the path data.
	(CopyData, Enumerate, HasCurve, Rewind, SubpathCount):
	Implemented.

2004-05-16  Gert Driesen <drieseng@users.sourceforge.net>

	* GraphicsPath.cs: renamed SetMarker to SetMarkers, to fix
	public API to match MS.NET

2004-05-15  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs: Instead of casting null to an IntPtr, use
	IntPtr.Zero instead. Thanks to Nick Drochak for spotting this.

2004-05-14  Nick Drochak <ndrochak@gol.com>

	* GraphicsPath.cs: fix build with csc.  No implicit conversion from
	null to IntPtr.  Bug in mcs?

2004-05-14  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs (ConvertPoints): Removed, we'll do the
	conversion in C.
	(GraphicsPath): Use GdipCreatePath2I instead.
	(SetMarker, ClearMarkers):
	(Flatten, GetBounds, IsOutlineVisible, IsVisible):
	(StartFigure, CloseFigure, CloseFigures):
	(Warp, Widen): Implemented. I left the MonoTODO attribute on for
	the methods where the equivalent C function has not yet been
	implemented.

	* GraphicsPathIterator.cs (Count): Implemented.

2004-05-13  Sanjay Gupta <gsanjay@novell.com>

	* GraphicsState.cs: Added internal constructor.

2004-05-13  Sanjay Gupta <gsanjay@novell.com>

	* GraphicsPath.cs: Added stub for missing method CloseFigure().

2004-05-11  Ravindra  <rkumar@novell.com>

	* AdjustableArrowCap.cs: Implemented.
	* CustomLineCap.cs: Implemented.

2004-05-04  Ravindra  <rkumar@novell.com>

	* LinearGradientBrush.cs: Fixed Transform property.

2004-04-30  Ravindra  <rkumar@novell.com>

	* LinearGradientBrush.cs: Fixed some errors.

2004-04-06  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs (GraphicsPath): Filled out the missing
	constructors.
	(ConvertPoints): New helper function. Converts a Point array to a
	PointF array.
	
2004-04-05  Jordi Mas i Hernandez <jordi@ximian.com>
	* GraphicsPath.cs: added missing methods
	
2004-04-01  Duncan Mak  <duncan@ximian.com>
	* GraphicsPath.cs (AddCurve, AddClosedCurve): Added all overloads.

2004-03-26  Ravindra  <rkumar@novell.com>
	* WrapMode.cs: Corrected the TileFlipXY and TileFlipY values.

2004-03-23  Ravindra  <rkumar@novell.com>
	* LinearGradientBrush.cs: Implemented public methods.

2004-03-22  Ravindra  <rkumar@novell.com>
	* LinearGradientBrush.cs: Implemented constructors and properties.
	* PathGradientBrush.cs: Fixed a constructor and few coding
	style fixes. 

2004-03-18  Ravindra  <rkumar@novell.com>
	* HatchBrush.cs: Fixed Clone method.
	* PathGradientBrush.cs: Fixed Clone method and few minor
	fixes.

2004-03-17  Ravindra  <rkumar@novell.com>
	* Blend.cs: Fixed.
	* ColorBlend.cs: Fixed.

2004-03-06  Ravindra  <rkumar@novell.com>
	* PathGradientBrush.cs: Implemented methods.

2004-03-06  Ravindra  <rkumar@novell.com>
	* PathGradientBrush.cs: Implemented constructors and properties.

2004-03-04  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs (PathCount): Corrected. The name should be PointCount.
	(AddPath): Implemented.

2004-02-27  Ravindra <rkumar@novell.com>

	* WrapMode.cs: Corrected enum values. Tile should be zero
	and Clamp should be four.

2004-02-11  Ravindra <rkumar@novell.com>

	* Matrix.cs: Added status checks using 
	GDIPlus.CheckStatus(Status) method.

2004-02-07  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* GraphicsPathIterator.cs: Fixed signature, added TODOs
	* Matrix.cs: Removed additional method

2004-02-06  Ravindra <rkumar@novell.com>

	* HatchBrush.cs: Using CheckStatus method instead of
	GetException.

2004-02-05  Ravindra <rkumar@novell.com>

	* HatchBrush.cs: Implemented.
	* HatchStyle.cs: Corrected enum values. Changed file format
	from DOS to UNIX.

2004-01-30  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs (AddPie): Corrected arguments sent to
	P/Invoke. This fixes the strange NaNs we were getting when we
	tried to draw Paths with a Pie figure.

2004-01-24  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs (AddEllipse): Added.

2004-01-19  Duncan Mak  <duncan@ximian.com>

	* GraphicsPath.cs: Implemented. Still needs testing, though.
	Particular the PathPoints property, I ran into a P/Invoke problem,
	I need to first fix that before I can go on with the rest of the testing.

2004-01-13  Ravindra  <rkumar@novell.com>

	* Matrix.cs: Made the Matrix(IntPtr) constructor internal.
	Because default access is private, that makes it unusable
	by other classes.

2004-01-11  Duncan Mak  <duncan@ximian.com>

	* Matrix.cs (Matrix): Removed reference to GpRect/GpRectF.

2004-01-10  Ravindra  <rkumar@novell.com>

	* All Enums: Made serializable.

	* GraphicsPathIterator.cs: Implements IDisposable.

	* GraphicsState.cs: Inherits MarshalByRefObject.

2003-12-25  Duncan Mak  <duncan@ximian.com>

	* Matrix.cs (ToString): Cache the elements inside a local variable
	to avoid calling the Elements property repeatedly.

2003-12-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Blend.cs: fix array sizes in the constructors. Closes bug #51564.
	System.Web moves in mysterious ways.

2003-11-22  Duncan Mak  <duncan@ximian.com>

	* Matrix.cs: Rewrote to use GDI+ implementation, doing all the
	math in unmanaged code instead of doing it in C#.

2003-11-04  Miguel de Icaza  <miguel@ximian.com>

	* GraphicsPathIterator.cs: Do not make this protected.

2003-11-13  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* QualityMode.cs: Fixed typo
	* InterpolationMode.cs: Fixed typo
	* RegionData.cs: Fixed signatures, partially implemented
	* PathGradientBrush.cs: Fixed signatures
	* PathData.cs: Fixed signature, implemented
	* LinearGradientBrush.cs: Added missing MonoTODOs, fixed typo
	* GraphicsContainer.cs: Added private constructor
	* CustomLineCap.cs: Fixed typos, fixed inheritance, removed unneeded member

2003-11-11 Ben Maurer  <bmaurer@users.sourceforge.net>

	* ColorBlend.cs (Positions): another one.

2003-11-11 Ben Maurer  <bmaurer@users.sourceforge.net>

	* Blend.cs (Positions): recursion in prop.

2003-10-24  Miguel de Icaza  <miguel@ximian.com>

	* GraphicsPath.cs: Stub some more.

2003-10-12 Alexandre Pigolkine <pigolkine@gmx.de>
	* GraphicsState.cs		internal member added

2003-06-26 Alexandre Pigolkine <pigolkine@gmx.de>
	* GraphicsState.cs		internal member added
	
2003-04-26 Alexandre Pigolkine <pigolkine@gmx.de>
	* LinearGradientBrush.cs  some implementation added

2003-3-15 DennisHayes <dennish@raytek.com>
	* Stubbed and somewhat implmented

	* CustomLineCap.cs
	* GraphicsContainer.cs
	* GraphicsPath.cs
	* GraphicsPathIterator.cs
	* GraphicsState.cs
	* HatchBrush.cs
	* LinearGradientBrush.cs

2003-3-5 DennisHayes <dennish@raytek.com>
	* Added values for enums
	* Stubbed and somewhat implmented Blend, ColorBlend, CustomLineCap


2003-3-2  DennisHayes <dennish@raytek.com>

	* Created changelog
	* updated copyrights to 2002/3
	* changed namespace from System.Drawing, System.Drawing.Drawing2d to System.Drawing.Drawing2D
	* cosmetic improvments

2002-10-13  DennisHayes <dennish@raytek.com>
	* Changed namespace from *2d to *2D
	* Changed comment header from system.Drawing to System.Drawing.Drawing2D

2002-9-2  DennisHayes <dennish@raytek.com>
	
	* AdjustableArrowCap.cs
	* Blend.cs
	* ColorBlend.cs
	* CombineMode.cs
	* CompostingMode.cs
	* CompostingQuality.cs
	* CoordinateSpace.cs
	* CustomLineCap.cs
	* DashCap.cs
	* DashStyle.cs
	* FillMode.cs
	* FlushIntention.cs
	* GraphicsContainer.cs
	* GraphicsPathIterator.cs
	* GraphicsState.cs
	* HatchBrush.cs
	* HatchStyle.cs
	* InterpolationMode.cs
	* LinearGradientBrush.cs
	* LinearGradientMode.cs
	* LineCap.cs
	* LineJoin.cs
	* MatrixOrder.cs
	* PathData.cs
	* PathGradientBrush.cs
	* PathPointType.cs
	* PenAligment.cs
	* PenType.cs
	* PixelOffsetMode.cs
	* QualityMode.cs
	* RegionData.cs
	* SmoothingMode.cs
	* WarpMode.cs
	* WrapMode.cs
	* Added null classes for most/all classes, Many stubs, and some implmentation

2002-9-2  DennisHayes <dennish@raytek.com>

	* Matrix.cs
	* Added stubs, implmentation

2002-9-2  DennisHayes <dennish@raytek.com>

	* GraphicsPath.cs
	* added stub needed for system.windows.forms

2002-01-06  Ravi Pratap  <ravi@ximian.com>

	* ChangeLog : Add.

	* Matrix.cs : MonoTODO everywhere.

	* TODOAttribute.cs : Add here too.
